#!/usr/bin/env python
import sys
import os
import lz4.block # need "pip install lz4" but pip is mega busted on linux and will refuse to do it etc etc figure it out

if len(sys.argv) != 2: # 2 because C's mistakes haunt us forever
    print("Usage: p2_exelz4.py [file]")
    exit()

with open(os.path.join(os.path.dirname(__file__), "p2_lz4stub.binary"),"rb") as f:
    output_file = f.read()
with open(sys.argv[1],"rb") as f:
    input_file = f.read()
compressed = lz4.block.compress(input_file,store_size=False,mode='high_compression',compression=12) # store_size doesn't do what you'd actually want it to do
output_file += len(compressed).to_bytes(4,'little')
output_file += compressed
with open(sys.argv[1].removesuffix(".binary")+".lz4.binary","wb") as f:
    f.write(output_file)

